librelist archives

« back to archive

can't get packets: not compiled with polling extensions

can't get packets: not compiled with polling extensions

From:
Liu, Zhuotao
Date:
2014-12-08 @ 22:06
Dear folks:

I am trying to test the UDP generation Click configuration (the one in the
example named "udpgen.click"). However, when I run the click from the 
kernel mode, I got the following error:

Dec  8 16:59:42 am14-03 kernel: [ 4559.112683] udpgen.click:30: While 
initializing 'u/pd :: PollDevice':
Dec  8 16:59:42 am14-03 kernel: [ 4559.112686]   warning: can't get 
packets: not compiled with polling extensions

I do web search about this error, one answer from 
http://pdos.csail.mit.edu/pipermail/click/2011-July/010100.html said I 
probably need to add the patch. But the Github said for kernel version 3.2
(which I am using), there is no need for patch any more. And I did not 
find a patch for version 3.2 in the repository as well. 

So what the problem is? Any suggestions are greatly appreciated. Thanks a lot.
Sky